#ifndef TFCPLAYER_H
#define TFCPLAYER_H

#ifndef EXEC_TYPES_H
#include <exec/types.h>
#endif

typedef struct {
	unsigned char *data;
	BOOL play;
	struct {
		unsigned short ptr;
		unsigned short wait;
		unsigned short freq;
		unsigned short retblk;
		unsigned short loopadr;
		unsigned short rep;
	} chn[6];
	void *TFM;
} TFCP;

void tfc_init(TFCP *TFCP,void *TFM,unsigned char *data);
void tfc_frame(TFCP *TFCP);
void tfc_play(TFCP *TFCP,BOOL play);

#endif
